function onBegin()
    local room = getRoom()
	player.ForceCameraUpdate = true
    disableMovement()
    room.PauseLock = true
	setFlag("maya_triangles", true)
    setFlag("maya_loadingicon", true)
    setFlag("aiden_blackout", false)
	wait(1.0)
    setFlag("maya_launchIn", true)
	wait(0.12)
	setFlag("triangleMove_Y", true)
	wait(0.07)
	setFlag("triangleMove_X", true)
	wait(0.3)
	setFlag("maya_loadingicon", false)
	wait(0.35)
	setFlag("maya_triangles", false)
end

function onEnd()
    enableMovement()
    getRoom().PauseLock = false
	player.ForceCameraUpdate = false
end